#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
};

static const struct modversion_info ____versions[]
__attribute_used__
__attribute__((section("__versions"))) = {
	{ 0x1d64c9b5, "struct_module" },
	{ 0x5611e4ec, "param_get_bool" },
	{ 0xdc76cbcb, "param_set_bool" },
	{ 0x5da2c20a, "pci_unregister_driver" },
	{ 0x814e8407, "release_resource" },
	{ 0x3145216f, "pci_dev_present" },
	{ 0xc5d9c46c, "agp_try_unsupported_boot" },
	{ 0xd3422409, "__pci_register_driver" },
	{ 0x7538b132, "agp_off" },
	{ 0x8143aaf8, "pci_restore_state" },
	{ 0x462e7879, "pci_set_power_state" },
	{ 0xde31fcf6, "pci_choose_state" },
	{ 0x68ac5c39, "pci_save_state" },
	{ 0x806b89e6, "agp_remove_bridge" },
	{ 0xd49501d4, "__release_region" },
	{ 0x5425c797, "agp_add_bridge" },
	{ 0x4a381a27, "agp_put_bridge" },
	{ 0xbe6d6de6, "agp_alloc_bridge" },
	{ 0x5fc6b7ba, "pci_find_capability" },
	{ 0x547e59ec, "pci_find_slot" },
	{ 0xac7011c7, "pci_bus_read_config_byte" },
	{ 0xa4cdd945, "pci_get_device" },
	{ 0x5e02e4d9, "pci_bus_read_config_word" },
	{ 0x1a1a4f09, "__request_region" },
	{ 0x9efed5af, "iomem_resource" },
	{ 0x954ac3e3, "mem_map" },
	{ 0x1139ffc, "max_mapnr" },
	{ 0x1b7d4074, "printk" },
	{ 0xbba27749, "agp_generic_destroy_page" },
	{ 0x9ded5a5e, "agp_generic_alloc_page" },
	{ 0x30e661d, "agp_generic_free_by_type" },
	{ 0x83579ee0, "agp_generic_alloc_by_type" },
	{ 0x9e0a6655, "agp_generic_remove_memory" },
	{ 0x28b240d7, "agp_generic_free_gatt_table" },
	{ 0xd6449999, "agp_generic_create_gatt_table" },
	{ 0x213becf, "agp_generic_mask_memory" },
	{ 0x7a2afc8f, "agp_generic_enable" },
	{ 0xa4d4f0e6, "global_cache_flush" },
	{ 0xbc968f47, "agp_bridge" },
	{ 0xd6feefa5, "agp_num_entries" },
	{ 0xaf530850, "pci_bus_write_config_dword" },
	{ 0xcdcd68a6, "pci_bus_read_config_dword" },
};

static const char __module_depends[]
__attribute_used__
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("pci:v00001022d00007454sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v000010B9d00001689sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00001106d00000282sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00001106d00003188sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00001106d00000204sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00001106d00000238sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00001106d0000B188sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v000010DEd000000D1sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v000010DEd000000E1sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00001039d00000755sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v00001039d00000760sv*sd*bc06sc00i00*");
MODULE_ALIAS("pci:v000010B9d00001689sv*sd*bc06sc00i00*");
